/* @(#) samples/c/xatm/oraswitn.c, tranmgr, p510b  1.1 00/05/24 17:02:22 */
/******************************************************************************/
/*                                                                            */
/* Module name: oraswit.c                                                     */
/*                                                                            */
/* Description: MQSeries XA switch program for Oracle                         */
/*                                                                            */
/* Statement:   Licensed Materials - Property of IBM                          */
/*              04L1830, 5639-B43                                             */
/*              (C) Copyright IBM Corp. 2000                                  */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* Includes                                                                   */
/******************************************************************************/

#include <cmqc.h>                                /* MQ header                 */
#include "xa.h"                                  /* MQ supplied XA header     */

/******************************************************************************/
/* External data declarations                                                 */
/******************************************************************************/

extern __declspec(dllimport) struct xa_switch_t xaosw;

/******************************************************************************/
/*                                                                            */
/* Function name:  MQStart                                                    */
/*                                                                            */
/* Description: The queue manager calls this function to access the XA switch */
/*              of Oracle                                                     */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Input Parameters:  None                                                    */
/*                                                                            */
/* Output Parameters: None                                                    */
/*                                                                            */
/* Returns:           Pointer to Oracle XA switch                             */
/*                                                                            */
/******************************************************************************/
__declspec(dllexport) struct xa_switch_t * MQENTRY MQStart(void)
{
   return(&xaosw);
}

/******************************************************************************/
/* End of oraswit.c                                                           */
/******************************************************************************/
