#
# Name:          XASWIT.MAK
#
# Description:   Windows NT makefile for the XA switch files. Note this
#                is the makefile for use with the Microsoft Visual C++
#                compiler, if you use IBMs VisualAge for C++, use the
#                makefile called XASWITI.MAK.
#
# Statement:     Licensed Materials - Property of IBM
#                04L1830, 5639-B43
#                (C) Copyright IBM Corp. 2000
#
#
# To make the DB2 XA switch load file, run the command:-
#                nmake -f xaswit.mak db2swit.dll
# To make the Sybase XA switch load file, run the command:-
#                nmake -f xaswit.mak sybswit.dll
# To make the Oracle XA switch load file, run the command:-
#                nmake -f xaswit.mak oraswit.dll
# To make the Oracle XA Dynamic Registration switch load file,
#                run the command:-
#                nmake -f xaswit.mak oraswitd.dll
#
!include <ntwin32.mak>

#---------------------------------------------------------------------
# DB2 XA switch file
#---------------------------------------------------------------------

db2swit.lib db2swit.exp: $*.obj $*.def
                         $(implib) -machine:$(CPU) \
                         -def:$*.def $*.obj

db2swit.dll: $*.obj $*.def $*.exp
             $(link) $(dlllflags)    \
             -base:0x1C000000        \
             $*.exp $*.obj           \
             $(conlibsdll) db2api.lib

#---------------------------------------------------------------------
# Sybase XA switch file
#---------------------------------------------------------------------

sybswit.lib sybswit.exp: $*.obj $*.def
                         $(implib) -machine:$(CPU) \
                         -def:$*.def $*.obj

sybswit.dll: $*.obj $*.def $*.exp
             $(link) $(dlllflags)    \
             -base:0x1C000000        \
             $*.exp $*.obj           \
             $(conlibsdll) libxaserver.lib

#---------------------------------------------------------------------
# Oracle XA switch file
#
# Note: If your Oracle database library has a different name, or is
#       on a different drive, or is in a different directory to the
#       one listed in the ORALIB statement, you will need to alter
#       that statement.
#---------------------------------------------------------------------
ORALIB=c:\oracle\ora81\rdbms\xa\oraxa8.lib

oraswit.lib oraswit.exp: $*.obj $*.def
                         $(implib) -machine:$(CPU) \
                         -def:$*.def $*.obj

oraswit.dll: $*.obj $*.def $*.exp
             $(link) $(dlllflags)    \
             -base:0x1C000000        \
             $*.exp $*.obj           \
             $(conlibsdll) $(ORALIB)

#---------------------------------------------------------------------
# Oracle XA Dynamic Registration switch file
#
# Note: If your Oracle database library has a different name, or is
#       on a different drive, or is in a different directory to the
#       one listed in the ORALIB statement, you will need to alter
#       that statement.
#---------------------------------------------------------------------
ORALIB=c:\oracle\ora81\rdbms\xa\oraxa8.lib

oraswitd.lib oraswitd.exp: $*.obj $*.def
                           $(implib) -machine:$(CPU) \
                           -def:$*.def $*.obj

oraswitd.dll: $*.obj $*.def $*.exp
              $(link) $(dlllflags)    \
              -base:0x1C000000        \
              $*.exp $*.obj           \
              $(conlibsdll) $(ORALIB)

#---------------------------------------------------------------------

.c.obj:
    $(cc) $(cflags) $(cvarsdll) $*.c

