#
# Name:          XASWITI.MAK
#
# Description:   Windows NT makefile for the XA switch files. Note this
#                is the makefile for use with the IBM VisualAge for C++
#                compiler, if you use Microsofts Visual C++, use the
#                makefile called XASWIT.MAK.
#
# Statement:     Licensed Materials - Property of IBM
#                04L1830, 5639-B43
#                (C) Copyright IBM Corp. 2000
#
#
# To make the DB2 XA switch load file, run the command:-
#                nmake -f xaswiti.mak db2swit.dll
# To make the Sybase XA switch load file, run the command:-
#                nmake -f xaswiti.mak sybswit.dll
# To make the Oracle XA switch load file, run the command:-
#                nmake -f xaswiti.mak oraswit.dll
# To make the Oracle XA Dynamic Registration switch load file,
#                run the command:-
#                nmake -f xaswiti.mak oraswitd.dll
#

.SUFFIXES:

.all: \
    .\db2swit.dll
    .\sybswit.dll
    .\oraswit.dll
    .\oraswitd.dll

#---------------------------------------------------------------------
# DB2 XA switch file
#---------------------------------------------------------------------

.\db2swit.obj: \
    db2swit.c \
    {$(INCLUDE);}xa.h
    @echo " Compile "
    icc.exe /Gm /Ti- /Gd /Ge- /Gf- /Fo db2swit.obj /C db2swit.c

.\db2swit.exp: \
    .\db2swit.obj
    @echo " Make exp and lib files "
    ilib.exe /Gi:db2swit .\db2swit.obj

.\db2swit.dll: \
    .\db2swit.exp \
    .\db2swit.obj \
    {$(LIB)}db2api.lib
    @echo " Link "
    icc.exe @<<
     /B" /de /pmtype:vio /noe /code:RX /data:RW /dll"
     /B" /def"
     /B" /def:db2api"
     /B" /nod:db2swit.lib"
     /Fe db2swit.dll
     db2api.lib
     .\db2swit.exp
     .\db2swit.obj
<<

#---------------------------------------------------------------------
# Sybase XA switch file
#---------------------------------------------------------------------

.\sybswit.obj: \
    sybswit.c \
    {$(INCLUDE);}xa.h
    @echo " Compile "
    icc.exe /Gm /Ti- /Gd /Ge- /Gf- /Fo sybswit.obj /C sybswit.c

.\sybswit.exp: \
    .\sybswit.obj
    @echo " Make exp and lib files "
    ilib.exe /Gi:sybswit .\sybswit.obj

.\sybswit.dll: \
    .\sybswit.exp \
    .\sybswit.obj \
    {$(LIB)}libxaserver.lib
    @echo " Link "
    icc.exe @<<
     /B" /de /pmtype:vio /noe /code:RX /data:RW /dll"
     /B" /def"
     /B" /def:libxaserver"
     /B" /nod:sybswit.lib"
     /Fe sybswit.dll
     libxaserver.lib
     .\sybswit.exp
     .\sybswit.obj
<<

#---------------------------------------------------------------------
# Oracle XA switch file
#
# Note: If your Oracle database library has a different name, or is
#       on a different drive, or is in a different directory to the
#       one listed in the ORALIB statement, you will need to alter
#       that statement.
#---------------------------------------------------------------------
ORALIB=c:\oracle\ora81\rdbms\xa\oraxa8.lib

.\oraswit.obj: \
    oraswit.c \
    {$(INCLUDE);}xa.h
    @echo " Compile "
    icc.exe /Gm /Ti- /Gd /Ge- /Gf- /Fo oraswit.obj /C oraswit.c

.\oraswit.exp: \
    .\oraswit.obj
    @echo " Make exp and lib files "
    ilib.exe /Gi:oraswit .\oraswit.obj

.\oraswit.dll: \
    .\oraswit.exp \
    .\oraswit.obj \
    {$(LIB)}$(ORALIB)
    @echo " Link "
    icc.exe @<<
     /B" /de /pmtype:vio /noe /code:RX /data:RW /dll"
     /B" /def"
     /B" /def:$(ORALIB)"
     /B" /nod:oraswit.lib"
     /Fe oraswit.dll
     $(ORALIB)
     .\oraswit.exp
     .\oraswit.obj
<<

#---------------------------------------------------------------------
# Oracle XA Dynamic Registration switch file
#
# Note: If your Oracle database library has a different name, or is
#       on a different drive, or is in a different directory to the
#       one listed in the ORALIB statement, you will need to alter
#       that statement.
#---------------------------------------------------------------------
ORALIB=c:\oracle\ora81\rdbms\xa\oraxa8.lib

.\oraswitd.obj: \
    oraswitd.c \
    {$(INCLUDE);}xa.h
    @echo " Compile "
    icc.exe /Gm /Ti- /Gd /Ge- /Gf- /Fo oraswitd.obj /C oraswitd.c

.\oraswitd.exp: \
    .\oraswitd.obj
    @echo " Make exp and lib files "
    ilib.exe /Gi:oraswitd .\oraswitd.obj

.\oraswitd.dll: \
    .\oraswitd.exp \
    .\oraswitd.obj \
    {$(LIB)}$(ORALIB)
    @echo " Link "
    icc.exe @<<
     /B" /de /pmtype:vio /noe /code:RX /data:RW /dll"
     /B" /def"
     /B" /def:$(ORALIB)"
     /B" /nod:oraswitd.lib"
     /Fe oraswitd.dll
     $(ORALIB)
     .\oraswitd.exp
     .\oraswitd.obj
<<
